Subject: Re: APK Package Name Issue on armel port

From: Carl Chave <[email-masked]>
Date: Thu, 20 Feb 2020 19:32:37 -0500

Hi Ariadne, I did that originally but when gdb stated that it found no
debugging symbols I thought that I needed to recompile.  Anyway, here
is that output:

localhost:~# echo 4 > /proc/cpu/alignment
localhost:~# gdb apk
GNU gdb (GDB) 8.3.1
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "armv5-alpine-linux-musleabi".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from apk...
(No debugging symbols found in apk)
(gdb) run
Starting program: /sbin/apk
apk-tools 2.10.4, compiled for armel.

Installing and removing packages:
  add       Add PACKAGEs to 'world' and install
            (or upgrade) them, while ensuring
            that all dependencies are met
  del       Remove PACKAGEs from 'world' and
            uninstall them

System maintenance:
  fix       Repair package or upgrade it without
            modifying main dependencies
  update    Update repository indexes from all
            remote repositories
  upgrade   Upgrade currently installed packages
            to match repositories
  cache     Download missing PACKAGEs to cache
            and/or delete unneeded files from
            cache

Querying information about packages:
  info      Give detailed information about
            PACKAGEs or repositories
  list      List packages by PATTERN and other
            criteria
  dot       Generate graphviz graphs
  policy    Show repository policy for packages

Repository maintenance:
  index     Create repository index file from
            FILEs
  fetch     Download PACKAGEs from global
            repositories to a local directory
  verify    Verify package integrity and
            signature
  manifest  Show checksums of package contents

Use apk <command> --help for command-specific help.
Use apk --help --verbose for a full command listing.

This apk has coffee making abilities.
[Inferior 1 (process 902) exited with code 01]
(gdb) backtrace
No stack.
(gdb) run apk info
Starting program: /sbin/apk apk info

Program received signal SIGBUS, Bus error.
0x0040b7fc in ?? ()
(gdb) backtrace
#0  0x0040b7fc in ?? ()
#1  0x0040ddd4 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

On Thu, Feb 20, 2020 at 7:24 PM <[email-masked]> wrote:
>
> Hello,
>
> On Feb 20, 2020 6:30 PM, Carl Chave <[email-masked]> wrote:
>
> Timo,
>
> I'm not very familiar with using gdb.  See below and please let me
> know how to get you better information.
>
> localhost:~# gdb /usr/lib/debug/sbin/apk.debug
> GNU gdb (GDB) 8.3.1
> Copyright (C) 2019 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> Type "show copying" and "show warranty" for details.
> This GDB was configured as "armv5-alpine-linux-musleabi".
> Type "show configuration" for configuration details.
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>.
> Find the GDB manual and other documentation resources online at:
>     <http://www.gnu.org/software/gdb/documentation/>.
>
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> Reading symbols from /usr/lib/debug/sbin/apk.debug...
> (gdb) run
> Starting program: /usr/lib/debug/sbin/apk.debug
> warning: Unable to find dynamic linker breakpoint function.
> GDB will be unable to debug shared library initializers
> and track explicitly loaded dynamic code.
> Warning:
> Cannot insert breakpoint -1.
> Cannot access memory at address 0x46ac
>
> (gdb) backtrace
> #0  0x76fb58e0 in ?? ()
> #1  0x00000000 in ?? ()
> Backtrace stopped: previous frame identical to this frame (corrupt stack?)
>
> You should run the apk binary with gdb, not the apk.debug binary.
>
> Ariadne